org.wso2.carbon.dataservices.ui.stub.admin.core.xsd

## Class PaginatedTableInfo

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.stub.admin.core.xsd.PaginatedTableInfo

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class PaginatedTableInfo
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  PaginatedTableInfo bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PaginatedTableInfo.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `localNumberOfPages` field for NumberOfPages
    `protected boolean` | `localNumberOfPagesTracker`
    `protected String[]` | `localTableInfo` field for TableInfo This was an Array!
    `protected boolean` | `localTableInfoTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaginatedTableInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTableInfo(String param)` Auto generated add method for the array for convenience
    `int` | `getNumberOfPages()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String[]` | `getTableInfo()` Auto generated getter method
    `boolean` | `isNumberOfPagesSpecified()`
    `boolean` | `isTableInfoSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setNumberOfPages(int param)` Auto generated setter method
    `void` | `setTableInfo(String[] param)` Auto generated setter method
    `protected void` | `validateTableInfo(String[] param)` validate the array for TableInfo

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localNumberOfPages

          protected int localNumberOfPages

      field for NumberOfPages

    - #### localNumberOfPagesTracker

          protected boolean localNumberOfPagesTracker

    - #### localTableInfo

          protected String[] localTableInfo

      field for TableInfo This was an Array!

    - #### localTableInfoTracker

          protected boolean localTableInfoTracker

  - ### Constructor Detail

    - #### PaginatedTableInfo

          public PaginatedTableInfo()

  - ### Method Detail

    - #### isNumberOfPagesSpecified

          public boolean isNumberOfPagesSpecified()

    - #### getNumberOfPages

          public int getNumberOfPages()

      Auto generated getter method
      Returns:
        int

    - #### setNumberOfPages

          public void setNumberOfPages(int param)

      Auto generated setter method
      Parameters:
        `param` - NumberOfPages

    - #### isTableInfoSpecified

          public boolean isTableInfoSpecified()

    - #### getTableInfo

          public String[] getTableInfo()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateTableInfo

          protected void validateTableInfo(String[] param)

      validate the array for TableInfo

    - #### setTableInfo

          public void setTableInfo(String[] param)

      Auto generated setter method
      Parameters:
        `param` - TableInfo

    - #### addTableInfo

          public void addTableInfo(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.